# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Affirm
    class: XC\Affirm\Model\Payment\Processor\Affirm
    type: C
    orderby: -10000
    countries: [US, CA]
    translations:
      - code: en
        name: Affirm
      - code: es
        name: Affirm
    settings:
      - name: sandbox_api_public_key
      - name: sandbox_api_private_key
      - name: api_public_key
      - name: api_private_key
      - name: type
        value: 'auth'
      - name: checkout_mode
        value: modal
      - name: mode
        value: 'test'
      - name: minimumOrderAmount
        value: 0
      - name: showPromoOnCart
        value: true
      - name: showPromoOnCheckout
        value: true
      - name: showPromoOnProductPage
        value: true
      - name: showPromoInProductLists
        value: false
      - name: enableEnhancedAnalytics
        value: false
      - name: countryCode
        value: 'USA'
XLite\Model\LanguageLabel:
  - {name: '[affirm]Test mode: Live', translations: [{code: en, label: 'Live'}]}
  - {name: '[affirm]Test mode: Test', translations: [{code: en, label: 'Sandbox'}]}
  - {name: '[affirm]Checkout mode: Modal', translations: [{code: en, label: 'Modal form'}]}
  - {name: '[affirm]Checkout mode: Redirect', translations: [{code: en, label: 'Redirect to Affirm'}]}
  - {name: '[affirm]Other settings', translations: [{code: en, label: 'Other settings'}]}
  - {name: '[affirm]API Public Key', translations: [{code: en, label: 'API Public Key'}]}
  - {name: '[affirm]API Private Key', translations: [{code: en, label: 'API Private Key'}]}
  - {name: '[affirm]Sandbox API Public Key', translations: [{code: en, label: 'Sandbox API Public Key'}]}
  - {name: '[affirm]Sandbox API Private Key', translations: [{code: en, label: 'Sandbox API Private Key'}]}
  - {name: '[affirm]Sandbox API keys', translations: [{code: en, label: 'Sandbox API keys'}]}
  - {name: '[affirm]Live API keys', translations: [{code: en, label: 'Live API keys'}]}
  - {name: '[affirm]Affirm promo messaging', translations: [{code: en, label: 'Affirm promo messaging'}]}
  - {name: '[affirm]Show on Cart', translations: [{code: en, label: 'Show on Cart'}]}
  - {name: '[affirm]Show on Checkout', translations: [{code: en, label: 'Show on Checkout'}]}
  - {name: '[affirm]Show on Product pages', translations: [{code: en, label: 'Show on Product pages'}]}
  - {name: '[affirm]Show in product lists', translations: [{code: en, label: 'Show in product lists'}]}
  - {name: '[affirm]Payment process has been canceled by customer', translations: [{code: en, label: 'Payment process has been canceled by customer'}]}
  - {name: '[affirm]minimumOrderAmount_settingName', translations: [{code: en, label: 'Minimum order amount'}]}
  - {name: '[affirm]minimumOrderAmount_settingTooltip', translations: [{code: en, label: 'Optional field containing the dollar amount (before taxes and discounts) that must be met before Affirm displays as an option at checkout.'}]}
  - {name: '[affirm]Enable Enhanced Analytics', translations: [{code: en, label: 'Enable Enhanced Analytics'}]}
  - {name: "[affirm]Don't have an account yet? Sign Up Now", translations: [{code: en, label: "Don't have an account yet? <a href=\"{{url}}\" target=\"_blank\">Sign Up Now</a>"}]}
  - {name: "[affirm]Loan ID", translations: [{code: en, label: "Loan ID"}]}
  - {name: "[affirm]Country", translations: [{code: en, label: "Country"}]}
  - {name: "[affirm]Volume Discount (from X)", translations: [{code: en, label: "Volume Discount (from {{subtotal}})"}]}
